Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpos.profile
Interface DevCatInfoList

All Known Implementing Classes:
  DefaultDevCatInfoList

public interface DevCatInfoList

Defines a simple list of DevCatInfo objects

Since:
  1.3 (SF 2K meeting)
Author:
  E. Michael Maximilien (maxim@us.ibm.com)

Inner Class Summary
`static interface` | `DevCatInfoList.Iterator` Simple interface to iterate through the list

Method Summary
`void` | `add(DevCatInfo devCatInfo)` Adds a new DevCatInfo to this list
`boolean` | `contains(DevCatInfo devCatInfo)`
`int` | `getSize()`
`boolean` | `isEmpty()`
`DevCatInfoList.Iterator` | `iterator()`
`void` | `remove(DevCatInfo devCatInfo)` Removes the DevCatInfo to this list
`void` | `removeAll()` Removes all DevCatInfo in this list

Method Detail

### getSize

    public int getSize()

  Returns:
    the current size of this list

### isEmpty

    public boolean isEmpty()

  Returns:
    true if this list is empty

### add

    public void add(DevCatInfo devCatInfo)

  Adds a new DevCatInfo to this list
  Parameters:
    `devCatInfo` - the devCatInfo to add

### remove

    public void remove(DevCatInfo devCatInfo)

  Removes the DevCatInfo to this list
  Parameters:
    `devCatInfo` - the devCatInfo to remove

### removeAll

    public void removeAll()

  Removes all DevCatInfo in this list

### contains

    public boolean contains(DevCatInfo devCatInfo)

  Parameters:
    `devCatInfo` - the devCatInfo
  Returns:
    true if the DevCatInfo is already in the list

### iterator

    public DevCatInfoList.Iterator iterator()

  Returns:
    an DevCatInfoList.Iterator object for this list

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This API and code belongs to the JavaPOS committee please see LISCENCE file for details